from onboarders.parity import ParityOnboarder


class OnboarderFactory:
    @staticmethod
    def create_onboarder(onboarder_type, **kwargs):
        if onboarder_type == "parity":
            return ParityOnboarder(**kwargs)

        raise ValueError(f"Unknown onboarder type: {onboarder_type}")
